OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPShape
PColgp

# PColgp_SeqExplorerOfHSequenceOfVec Class Reference

`#include <PColgp_SeqExplorerOfHSequenceOfVec.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | PColgp_SeqExplorerOfHSequenceOfVec (const Handle(PColgp_HSequenceOfVec)&S)
Standard_EXPORT gp_Vec | Value (const Standard_Integer Index)
Standard_EXPORT Standard_Boolean | Contains (const gp_Vec &T)
Standard_EXPORT Standard_Integer | Location (const Standard_Integer N, const gp_Vec &T, const Standard_Integer FromIndex, const Standard_Integer ToIndex)
Standard_EXPORT Standard_Integer | Location (const Standard_Integer N, const gp_Vec &T)
## Private Attributes
Handle_PColgp_SeqNodeOfHSequenceOfVec | CurrentItem
Standard_Integer | CurrentIndex
Handle_PColgp_HSequenceOfVec | TheSequence

## Constructor & Destructor Documentation

Standard_EXPORT PColgp_SeqExplorerOfHSequenceOfVec::PColgp_SeqExplorerOfHSequenceOfVec | ( | const Handle(PColgp_HSequenceOfVec)& | S | ) |

## Member Function Documentation

Standard_EXPORT Standard_Boolean PColgp_SeqExplorerOfHSequenceOfVec::Contains | ( | const gp_Vec & | T | ) |

Standard_EXPORT Standard_Integer PColgp_SeqExplorerOfHSequenceOfVec::Location | ( | const Standard_Integer | N,
|  | const gp_Vec & | T
| ) |

Standard_EXPORT Standard_Integer PColgp_SeqExplorerOfHSequenceOfVec::Location | ( | const Standard_Integer | N,
|  | const gp_Vec & | T,
|  | const Standard_Integer | FromIndex,
|  | const Standard_Integer | ToIndex
| ) |

void PColgp_SeqExplorerOfHSequenceOfVec::operator delete | ( | void * | anAddress | ) | `[inline]`

void* PColgp_SeqExplorerOfHSequenceOfVec::operator new | ( | size_t | size | ) | `[inline]`

void* PColgp_SeqExplorerOfHSequenceOfVec::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT gp_Vec PColgp_SeqExplorerOfHSequenceOfVec::Value | ( | const Standard_Integer | Index | ) |

## Field Documentation

Standard_Integer PColgp_SeqExplorerOfHSequenceOfVec::CurrentIndex`[private]`

Handle_PColgp_SeqNodeOfHSequenceOfVec PColgp_SeqExplorerOfHSequenceOfVec::CurrentItem`[private]`

Handle_PColgp_HSequenceOfVec PColgp_SeqExplorerOfHSequenceOfVec::TheSequence`[private]`

The documentation for this class was generated from the following file:

- PColgp_SeqExplorerOfHSequenceOfVec.hxx